curl --request PATCH \
--url https://api.rigbox.dev/api/apps/{id}/log-sources/{source_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"is_primary": true,
"source_ref": "<string>",
"source_type": "<string>"
}
'{
"source": {
"app_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_primary": true,
"source_ref": "<string>",
"source_type": "systemd_unit",
"updated_at": "2023-11-07T05:31:56Z",
"display_name": "<string>"
}
}Update a log source’s configuration.
curl --request PATCH \
--url https://api.rigbox.dev/api/apps/{id}/log-sources/{source_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"is_primary": true,
"source_ref": "<string>",
"source_type": "<string>"
}
'{
"source": {
"app_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_primary": true,
"source_ref": "<string>",
"source_type": "systemd_unit",
"updated_at": "2023-11-07T05:31:56Z",
"display_name": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Log source updated
Show child attributes